import mods.create.PressingManager;
import mods.create.DeployerApplicationManager;
import mods.create.FillingManager;
import mods.createtweaker.FluidIngredient;
import mods.create.SequencedAssemblyManager;

//Vanilla Recipes

//Netherite Ingot
craftingTable.removeByName("minecraft:netherite_ingot");
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("netherite_ingot")
     .transitionTo(<item:minecraft:netherite_ingot>)
     .require(<item:minecraft:gold_ingot>)
     .loops(4)
     .addOutput(<item:minecraft:netherite_ingot>, 80)
     .addOutput(<item:minecraft:netherite_scrap>*4, 10)
     .addOutput(<item:minecraft:netherite_scrap>*3, 6)
     .addOutput(<item:minecraft:netherite_scrap>*2, 2)
     .addOutput(<item:minecraft:netherite_scrap>*1, 1)
     .addOutput(<item:minecraft:gold_ingot>, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:netherite_scrap>))
     .addStep<mods.createtweaker.FillingRecipe>((rb) => rb.require(<fluid:minecraft:lava> * 500))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500)));

//Drawer Recipes
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("andesite_drawer")
     .transitionTo(<item:storagedrawers:oak_full_drawers_1>)
     .require(<item:create:andesite_casing>)
     .loops(1)
     .addOutput(<item:storagedrawers:oak_full_drawers_1>* 1, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:item_vault>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:precision_mechanism>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:display_board>)));

<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("copper_drawer")
     .transitionTo(<item:storagedrawers:birch_full_drawers_1>)
     .require(<item:create:copper_casing>)
     .loops(1)
     .addOutput(<item:storagedrawers:birch_full_drawers_1>* 1, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:item_vault>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:precision_mechanism>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:display_board>)));

<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("brass_drawer")
     .transitionTo(<item:storagedrawers:spruce_full_drawers_1>)
     .require(<item:create:brass_casing>)
     .loops(1)
     .addOutput(<item:storagedrawers:spruce_full_drawers_1>* 1, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:item_vault>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:precision_mechanism>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:display_board>)));

<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("railway_drawer")
     .transitionTo(<item:storagedrawers:jungle_full_drawers_1>)
     .require(<item:create:railway_casing>)
     .loops(1)
     .addOutput(<item:storagedrawers:jungle_full_drawers_1>* 1, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:item_vault>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:precision_mechanism>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:display_board>)));

//CC: Tweaked

//Computer
craftingTable.remove(<item:computercraft:computer_normal>);
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("cc_computer")
     .transitionTo(<item:create_crystal_clear:steel_tinted_glass_casing>)
     .require(<item:create:andesite_casing>)
     .loops(1)
     .addOutput(<item:computercraft:computer_normal>, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:precision_mechanism>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:createaddition:gold_spool>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:electron_tube>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:tinted_glass>)));

//Advanced Computer
craftingTable.remove(<item:computercraft:computer_advanced>);
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("cc_advanced_computer")
     .transitionTo(<item:create_crystal_clear:steel_tinted_glass_casing>)
     .require(<item:create:brass_casing>)
     .loops(1)
     .addOutput(<item:computercraft:computer_advanced>, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:precision_mechanism>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:createaddition:gold_spool>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:electron_tube>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:tinted_glass>)));

//Diamond Sheet
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("diamond_sheet")
     .transitionTo(<item:kubejs:unprocessed_diamond_sheet>)
     .require(<item:alloyed:steel_sheet>)
     .loops(1)
     .addOutput(<item:kubejs:diamond_sheet>, 90)
     .addOutput(<item:createaddition:diamond_grit>, 6)
     .addOutput(<item:alloyed:steel_sheet>, 4)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:createaddition:diamond_grit>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200)));

//Steel Armor Plating
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("reinforced_steel_block")
     .transitionTo(<item:create_connected_blocks:reinforced_iron_block>)
     .require(<item:alloyed:steel_block>)
     .loops(2)
     .addOutput(<item:create_connected_blocks:reinforced_iron_block>, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:sturdy_sheet>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:sturdy_sheet>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:sturdy_sheet>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:kubejs:netherite_sheet>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500)));

//Netherite Armor Plating
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("reinforced_netherite_block")
     .transitionTo(<item:create_connected_blocks:reinforced_netherite_block>)
     .require(<item:create_connected_blocks:reinforced_iron_block>)
     .loops(4)
     .addOutput(<item:create_connected_blocks:reinforced_netherite_block>, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:kubejs:netherite_sheet>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:kubejs:netherite_sheet>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:kubejs:netherite_sheet>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:shadow_steel>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500)));

